io.vertx.rxjava.ext.auth.authentication

## Class AuthenticationProvider

- java.lang.Object
- - io.vertx.rxjava.ext.auth.authentication.AuthenticationProvider

- Direct Known Subclasses:
    AuthProvider, ChainAuth, HotpAuth, HtdigestAuth, HtpasswdAuth, JDBCAuthentication, JWTAuth, LdapAuthentication, MongoAuthentication, OAuth2Auth, PropertyFileAuthentication, SqlAuthentication, TotpAuth, WebAuthn

      public class AuthenticationProvider
      extends Object

  User-facing interface for authenticating users.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<AuthenticationProvider>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationProvider(AuthenticationProvider delegate)`
    `AuthenticationProvider(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `authenticate(Credentials credentials)` Authenticate a user.
    `void` | `authenticate(Credentials credentials, Handler<AsyncResult<User>> resultHandler)` Authenticate a user.
    `void` | `authenticate(JsonObject credentials)` Deprecated.
    `void` | `authenticate(JsonObject credentials, Handler<AsyncResult<User>> resultHandler)` Deprecated.
    `boolean` | `equals(Object o)`
    `AuthenticationProvider` | `getDelegate()`
    `int` | `hashCode()`
    `static AuthenticationProvider` | `newInstance(AuthenticationProvider arg)`
    `Single<User>` | `rxAuthenticate(Credentials credentials)` Authenticate a user.
    `Single<User>` | `rxAuthenticate(JsonObject credentials)` Deprecated.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<AuthenticationProvider> __TYPE_ARG

  - ### Constructor Detail

    - #### AuthenticationProvider

          public AuthenticationProvider(AuthenticationProvider delegate)

    - #### AuthenticationProvider

          public AuthenticationProvider(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public AuthenticationProvider getDelegate()

    - #### authenticate

          @Deprecated
          public void authenticate(JsonObject credentials,
                                               Handler<AsyncResult<User>> resultHandler)

      Deprecated.
      Authenticate a user.

      The first argument is a JSON object containing information for authenticating the user. What this actually contains depends on the specific implementation. In the case of a simple username/password based authentication it is likely to contain a JSON object with the following structure:

             {
               "username": "tim",
               "password": "mypassword"
             }

      For other types of authentication it contain different information - for example a JWT token or OAuth bearer token.

      If the user is successfully authenticated a object is passed to the handler in an . The user object can then be used for authorisation.

      Parameters:
        `credentials` - The credentials
        `resultHandler` - The result handler

    - #### authenticate

          @Deprecated
          public void authenticate(JsonObject credentials)

      Deprecated.
      Authenticate a user.

      The first argument is a JSON object containing information for authenticating the user. What this actually contains depends on the specific implementation. In the case of a simple username/password based authentication it is likely to contain a JSON object with the following structure:

             {
               "username": "tim",
               "password": "mypassword"
             }

      For other types of authentication it contain different information - for example a JWT token or OAuth bearer token.

      If the user is successfully authenticated a object is passed to the handler in an . The user object can then be used for authorisation.

      Parameters:
        `credentials` - The credentials

    - #### rxAuthenticate

          @Deprecated
          public Single<User> rxAuthenticate(JsonObject credentials)

      Deprecated.
      Authenticate a user.

      The first argument is a JSON object containing information for authenticating the user. What this actually contains depends on the specific implementation. In the case of a simple username/password based authentication it is likely to contain a JSON object with the following structure:

             {
               "username": "tim",
               "password": "mypassword"
             }

      For other types of authentication it contain different information - for example a JWT token or OAuth bearer token.

      If the user is successfully authenticated a object is passed to the handler in an . The user object can then be used for authorisation.

      Parameters:
        `credentials` - The credentials
      Returns:

    - #### authenticate

          public void authenticate(Credentials credentials,
                                   Handler<AsyncResult<User>> resultHandler)

      Authenticate a user.

      The first argument is a Credentials object containing information for authenticating the user. What this actually contains depends on the specific implementation. If the user is successfully authenticated a object is passed to the handler in an . The user object can then be used for authorisation.

      Parameters:
        `credentials` - The credentials
        `resultHandler` - The result handler

    - #### authenticate

          public void authenticate(Credentials credentials)

      Authenticate a user.

      The first argument is a Credentials object containing information for authenticating the user. What this actually contains depends on the specific implementation. If the user is successfully authenticated a object is passed to the handler in an . The user object can then be used for authorisation.

      Parameters:
        `credentials` - The credentials

    - #### rxAuthenticate

          public Single<User> rxAuthenticate(Credentials credentials)

      Authenticate a user.

      The first argument is a Credentials object containing information for authenticating the user. What this actually contains depends on the specific implementation. If the user is successfully authenticated a object is passed to the handler in an . The user object can then be used for authorisation.

      Parameters:
        `credentials` - The credentials
      Returns:

    - #### newInstance

          public static AuthenticationProvider newInstance(AuthenticationProvider arg)

Copyright © 2024 Eclipse. All rights reserved.